Index: quintagroup.plonegooglesitemaps/trunk/README.txt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/README.txt	(revision 1623)
+++ quintagroup.plonegooglesitemaps/trunk/README.txt	(revision 1634)
@@ -4,2 +4,61 @@
 package version of plone's product qPloneGoogleSitemap since qPloneGoogleSitemap v.0.8.6
 
+Quintagroup Plone Google Sitemaps quintagroup.plonegooglesitemaps (qPloneGoogleSitemaps)
+========================================================================================
+
+Plone Google Sitemaps product allows Plone websites to get better visibility for Google search engine by providing it with complete listing of URLs to website content.
+  
+Plone Google Sitemaps allows you to enable different kinds of Google Sitemaps on your Plone website. Such Sitemaps help Google to identify site URLs and the data under each site section. With Google Sitemaps enabled, search engines could track your Plone site URLs faster and more efficiently, optimizing their search by placing all the information on one page.
+
+With Plone Google Sitemaps product you can enable following Sitemap types on your Plone website:
+
+  * Content Sitemap - is a regular list of pages on your website. Creating and submitting such a Sitemap lets Google know about all the pages on your Plone web site, including URLs that may not be discoverable by Google's normal crawling process.
+  * Mobile Sitemap - is a specific type of Sitemap, that indexes all site URLs that serve content for mobile devices.
+  * News Sitemap - is different from regular Sitemaps, since it is specific to Google News only. 
+
+ Different Sitemap types index their own content and do not depend on other Sitemaps.
+
+Usage
+-----
+
+To enable Google Sitemaps on your site:
+
+  * Add Sitemap(s) at Google Sitemap "Settings" tab (Add-on Products Configuarion -> Google Sitemaps). You can add any of the Sitemap types: content, mobile or news. 
+  * Let Google know about your Sitemap(s) by adding your Sitemap to Google Sitemaps.
+
+  See more detailed instructions on Plone Google Sitemaps usage at http://projects.quintagroup.com/products/wiki/qPloneGoogleSitemaps
+
+Screencast
+----------
+
+Watch Plone Google Sitemaps Screencasts at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps to see how to use this products on your Plone instance. Learn about how to install and configure Sitemaps on your Plone instance, how to create new Google Sitemaps, and how to let Google know about them.
+  
+Installation
+------------
+
+See INSTALL.txt for instructions
+  
+Requirements
+------------
+
+  * Plone 2.5
+  * Plone 3.x 
+
+Links
+-----
+
+  * See "Google Sitemaps": https://www.google.com/webmasters/sitemaps website for more information.
+  * "Product Homepage": http://quintagroup.com/services/plone-development/products/google-sitemaps
+  * "Documentation Area": http://projects.quintagroup.com/products/wiki/qPloneGoogleSitemaps
+  * "Repository": http://svn.quintagroup.com/products/quintagroup.plonegooglesitemaps
+  * "Releases": http://plone.org/products/qplonegooglesitemaps/releases
+  * Watch "Plone Google Sitemeps" Screencast at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps
+
+Authors
+-------
+
+  * Myroslav Opyr
+  * Andriy Mylenkyi
+  * Nazar Ilchuk 
+  * Mykola Kharechko
+  
Index: quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt	(revision 1623)
+++ quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt	(revision 1634)
@@ -5,3 +5,9 @@
 -------------------
 
-- Python package descendant of qPloneGoogleSitemaps v.0.8.6
+* Move qPloneGoogleSitemaps v.0.8.6 product into
+  quintagroup.plonegooglesitemaps package
+  [mylan]
+* Udpate link for google sitemaps pinging
+  [mylan]
+* Update tests
+  [mylan]
Index: quintagroup.plonegooglesitemaps/trunk/docs/INSTALL.txt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/docs/INSTALL.txt	(revision 1623)
+++ quintagroup.plonegooglesitemaps/trunk/docs/INSTALL.txt	(revision 1634)
@@ -51,2 +51,20 @@
 You can skip the ZCML slug if you are going to explicitly include the package
 from another package's configure.zcml file.
+
+
+Plone Google Sitemaps Installation in Plone instance
+====================================================
+
+Plone Google Sitemaps can be installed as an old-type Plone product.
+
+  1. Go to your Plone Site "Site Setup" area 
+  
+  2. Choose "Add/Remove Products" item in the Plone Configuration list
+  
+  3. Select "Plone Google Sitemaps" product among products available for installation
+  
+  4. Press the Install button below the table
+  
+  5. Make sure the product appeared in the right column of installed products and "Google Sitemaps" 
+     appeared under Add-on Products Configuration.
+