Index: quintagroup.plonegooglesitemaps/trunk/README.txt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/README.txt	(revision 1637)
+++ quintagroup.plonegooglesitemaps/trunk/README.txt	(revision 1642)
@@ -2,17 +2,24 @@
 ============
 
-package version of plone's product qPloneGoogleSitemap since qPloneGoogleSitemap v.0.8.6
+This is a package version of qPloneGoogleSitemap Plone product since qPloneGoogleSitemap v.0.8.6
 
 Quintagroup Plone Google Sitemaps quintagroup.plonegooglesitemaps (qPloneGoogleSitemaps)
 ========================================================================================
 
-Plone Google Sitemaps product allows Plone websites to get better visibility for Google search engine by providing it with complete listing of URLs to website content.
+Plone Google Sitemaps product allows Plone websites to get better visibility for Google search engine
+by providing it with complete listing of URLs to website content.
   
-Plone Google Sitemaps allows you to enable different kinds of Google Sitemaps on your Plone website. Such Sitemaps help Google to identify site URLs and the data under each site section. With Google Sitemaps enabled, search engines could track your Plone site URLs faster and more efficiently, optimizing their search by placing all the information on one page.
+Plone Google Sitemaps allows you to enable different kinds of Google Sitemaps on your Plone website. 
+Such Sitemaps help Google identify site URLs and the data under each site section. With Google Sitemaps
+enabled, search engines could track your Plone site URLs faster and more efficiently, optimizing their 
+search by placing all the information on one page.
 
 With Plone Google Sitemaps product you can enable following Sitemap types on your Plone website:
 
-  * Content Sitemap - is a regular list of pages on your website. Creating and submitting such a Sitemap lets Google know about all the pages on your Plone web site, including URLs that may not be discoverable by Google's normal crawling process.
-  * Mobile Sitemap - is a specific type of Sitemap, that indexes all site URLs that serve content for mobile devices.
+  * Content Sitemap - is a regular list of pages on your website. Creating and submitting such a Sitemap 
+    lets Google know about all the pages on your Plone web site, including URLs that may not be discoverable
+    by Google's normal crawling process.
+  * Mobile Sitemap - is a specific type of Sitemap, that indexes all site URLs that serve content for 
+    mobile devices.
   * News Sitemap - is different from regular Sitemaps, since it is specific to Google News only. 
 
@@ -24,5 +31,6 @@
 To enable Google Sitemaps on your site:
 
-  * Add Sitemap(s) at Google Sitemap "Settings" tab (Add-on Products Configuarion -> Google Sitemaps). You can add any of the Sitemap types: content, mobile or news. 
+  * Add Sitemap(s) at Google Sitemap "Settings" tab (Add-on Products Configuarion -> Google Sitemaps). 
+    You can add any of the Sitemap types: content, mobile or news. 
   * Let Google know about your Sitemap(s) by adding your Sitemap to Google Sitemaps.
 
@@ -32,5 +40,7 @@
 ----------
 
-Watch Plone Google Sitemaps Screencasts at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps to see how to use this products on your Plone instance. Learn about how to install and configure Sitemaps on your Plone instance, how to create new Google Sitemaps, and how to let Google know about them.
+Watch Plone Google Sitemaps Screencasts at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps to see how to use this products
+on your Plone instance. Learn about how to install and configure Sitemaps on your Plone instance, how to create new Google Sitemaps, 
+and how to let Google know about them.
   
 Installation
@@ -42,5 +52,4 @@
 ------------
 
-  * Plone 2.5
   * Plone 3.x 
 
Index: quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt	(revision 1637)
+++ quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt	(revision 1642)
@@ -2,11 +2,5 @@
 =========
 
-1.1 (unreleased)
-----------------
-
-- Nothing changed yet.
-
-
-1.0 (2010-02-03)
+1.0 (2010-02-04)
 ----------------
 
Index: quintagroup.plonegooglesitemaps/trunk/docs/INSTALL.txt
===================================================================
--- quintagroup.plonegooglesitemaps/trunk/docs/INSTALL.txt	(revision 1637)
+++ quintagroup.plonegooglesitemaps/trunk/docs/INSTALL.txt	(revision 1642)
@@ -1,33 +1,11 @@
 quintagroup.plonegooglesitemaps Installation
---------------------------------------------
+============================================
 
-To install quintagroup.plonegooglesitemaps into the global Python environment (or a workingenv),
-using a traditional Zope 2 instance, you can do this:
+Buildout
+--------
 
-* When you're reading this you have probably already run 
-  ``easy_install quintagroup.plonegooglesitemaps``. Find out how to install setuptools
-  (and EasyInstall) here:
-  http://peak.telecommunity.com/DevCenter/EasyInstall
+To install quintagroup.plonegooglesitemaps to your buildout-based project:
 
-* If you are using Zope 2.9 (not 2.10), get `pythonproducts`_ and install it 
-  via::
-
-    python setup.py install --home /path/to/instance
-
-into your Zope instance.
-
-* Create a file called ``quintagroup.plonegooglesitemaps-configure.zcml`` in the
-  ``/path/to/instance/etc/package-includes`` directory.  The file
-  should only contain this::
-
-    <include package="quintagroup.plonegooglesitemaps" />
-
-.. _pythonproducts: http://plone.org/products/pythonproducts
-
-
-Alternatively, if you are using zc.buildout and the plone.recipe.zope2instance
-recipe to manage your project, you can do this:
-
-* Add ``quintagroup.plonegooglesitemaps`` to the list of eggs to install, e.g.:
+* Add ``quintagroup.plonegooglesitemaps`` to the list of eggs to install::
 
     [buildout]
@@ -37,5 +15,5 @@
         quintagroup.plonegooglesitemaps
        
-* Tell the plone.recipe.zope2instance recipe to install a ZCML slug:
+* Tell the plone.recipe.zope2instance recipe to install a ZCML slug::
 
     [instance]
@@ -45,26 +23,31 @@
         quintagroup.plonegooglesitemaps
       
-* Re-run buildout, e.g. with:
+* Re-run buildout, e.g. with::
 
     $ ./bin/buildout
+    
+* Restart the Zope server, e.g with the following command in the terminal::
+
+   $ ./bin/instance restart
+   
+* Install ``Plone Google Sitemaps`` with Quickinstaller in Plone (Site Setup -> Add/Remove Products) 
         
-You can skip the ZCML slug if you are going to explicitly include the package
-from another package's configure.zcml file.
+	
+Traditional Zope 2 instance
+---------------------------
 
+To install quintagroup.plonegooglesitemaps into the global Python environment (or a workingenv),
+using a traditional Zope 2 instance, you can do this:
 
-Plone Google Sitemaps Installation in Plone instance
-====================================================
+* Copy ``quintagroup`` folder to your instance's ``/lib/python`` directory.
 
-Plone Google Sitemaps can be installed as an old-type Plone product.
+* Create a file called ``quintagroup.plonegooglesitemaps-configure.zcml`` in your instance's ``/etc/package-includes`` directory. The file
+should only contain this::
 
-  1. Go to your Plone Site "Site Setup" area 
-  
-  2. Choose "Add/Remove Products" item in the Plone Configuration list
-  
-  3. Select "Plone Google Sitemaps" product among products available for installation
-  
-  4. Press the Install button below the table
-  
-  5. Make sure the product appeared in the right column of installed products and "Google Sitemaps" 
-     appeared under Add-on Products Configuration.
+    <include package="quintagroup.plonegooglesitemaps" />
 
+* Restart the Zope server, for example with the following command in the terminal::
+
+   $ ./bin/zopectl restart
+
+* Install ``Plone Google Sitemaps`` with Quickinstaller in Plone (Site Setup -> Add/Remove Products) 