Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt	(revision 1658)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt	(revision 1659)
@@ -119,5 +119,6 @@
               Though the relevance of listing meta keywords is of 
               questionable value now, it is useful to set meta keywords for
-              pages - for future reference.
+              pages - for future reference. Use 'Check Keywords' button to check whether 
+              words you entered in this block as SEO keywords are present in content.
             </div>
             <input type="checkbox"
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt	(revision 1658)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt	(revision 1659)
@@ -84,8 +84,8 @@
                    tal:attributes="checked view/getFilterKeywordsByContent"/>
             <label for="filterKeywordsByContent" i18n:translate="label_filter_keywords_by_content">
-                Filter keywords by content.
+                Filter keywords by their availability in content.
             </label>
             <div class="formHelp" i18n:translate="help_filter_keywords_by_content">
-                Usage metatags keywords, which present in content.
+                Controls use of meta keywords according to their presence in content.
               </div>
           </div>
@@ -93,8 +93,8 @@
           <div class="field">
               <label for="settingsUseKeywordsSG" i18n:translate="label_settings_use_keywords_sg">
-                  Settings the use Subject and global seo keywords.
+                  Plone categories and Global SEO keywords.
               </label>
               <div class="formHelp" i18n:translate="help_settings_use_keywords_sg">
-                  Settings the use Subject and global seo keywords.
+                  Controls Plone categories (also known as keywords or tags) and global SEO keywords behaviour.
               </div>
               <input  type="radio"
@@ -104,5 +104,5 @@
                                       checked python:view.select_settings_use_keywords_sg()==1"/>
               <label for=""
-                     tal:attributes="for string:sg1">Subject overrides global seo keywords</label>
+                     tal:attributes="for string:sg1">Plone categories override global SEO keywords</label>
               <br/>
               <input  type="radio"
@@ -112,5 +112,5 @@
                                       checked python:view.select_settings_use_keywords_sg()==2"/>
               <label for=""
-                     tal:attributes="for string:sg2">Global seo keywords override Subject</label>
+                     tal:attributes="for string:sg2">Global SEO keywords override Plone categories</label>
               <br/>
               <input  type="radio"
@@ -120,13 +120,13 @@
                                       checked python:view.select_settings_use_keywords_sg()==3"/>
               <label for=""
-                     tal:attributes="for string:sg3">Merge Subject and global seo keywords</label>
+                     tal:attributes="for string:sg3">Merge Plone categories and global SEO keywords</label>
           </div>
 
           <div class="field">
               <label for="settingsUseKeywordsLG" i18n:translate="label_settings_use_keywords_lg">
-                  Settings the use local and global seo keywords.
+                  Global SEO keywords vs local SEO keywords.
               </label>
               <div class="formHelp" i18n:translate="help_settings_use_keywords_lg">
-                  Settings the use local and global seo keywords.
+                  Controls local and global SEO keywords behaviour.
               </div>
               <input  type="radio"
@@ -136,5 +136,5 @@
                                       checked python:view.select_settings_use_keywords_lg()==1"/>
               <label for=""
-                     tal:attributes="for string:lg1">Global override local seo keywords</label>
+                     tal:attributes="for string:lg1">Global SEO keywords override local SEO keywords</label>
               <br/>
               <input  type="radio"
@@ -144,5 +144,5 @@
                                       checked python:view.select_settings_use_keywords_lg()==2"/>
               <label for=""
-                     tal:attributes="for string:lg2">Merge global and local seo keywords</label>
+                     tal:attributes="for string:lg2">Merge global and local SEO keywords</label>
           </div>
 