Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po	(revision 1663)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po	(revision 1664)
@@ -6,5 +6,5 @@
 "Project-Id-Version: quintagroup.seoptimizer\n"
 "POT-Creation-Date: 2010-02-08 13:09+0000\n"
-"PO-Revision-Date: 2010-01-06 12:27+0300\n"
+"PO-Revision-Date: 2010-02-08 15:42+0300\n"
 "Last-Translator: Olha <olha.pelishok@gmail.com>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -34,5 +34,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:36
 msgid "description_edit_seo_properties"
-msgstr ""
+msgstr "Ця форма дозволяє редагувати мета теґи, які генерує СКВ Plone, з метою  збільшення видимості сайту для пошукових систем. Значення, які генерує Plone по замовчуванню, введено у відповідних полях. Щоб перекрити значення за замовчуванням, поставте галочку біля відповідного поля та введіть потрібне значення."
 
 #. Default: "Select content types that will have SEO properties enabled."
@@ -54,5 +54,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:69
 msgid "help_additional_keywords"
-msgstr ""
+msgstr "Використовуйте це поле, якщо Ви хочете, що об'єкти на цьому сайті отримали додаткові ключові слова крім тих, які Ви вказали вручну для кожного з них. Введіть по одному слову в кожен рядок."
 
 #. Default: "Fill in custom metatag names (one per line) which will appear on qseo_properties edit tab. Example: \"metaname|metacontent\" or \"metaname\"."
@@ -64,5 +64,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:88
 msgid "help_filter_keywords_by_content"
-msgstr ""
+msgstr "Контроль використання ключових слів згідно з їх наявністю в контексті."
 
 #. Default: "Fill in meta tags (one per line) in the order in which they will appear on site source pages. Example: \"metaname accessor\"."
@@ -114,10 +114,10 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:129
 msgid "help_settings_use_keywords_lg"
-msgstr ""
+msgstr "Контроль поведінки глобальних та локальних SEO ключових слів."
 
 #. Default: "Controls Plone categories (also known as keywords or tags) and global SEO keywords behaviour."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:97
 msgid "help_settings_use_keywords_sg"
-msgstr ""
+msgstr "Контроль поведінки Plone категорій (відомих також як ключові слова чи теґи) та глобальних SEO ключових слів."
 
 #. Default: "Additional keywords that should be added to the content types."
@@ -154,10 +154,10 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:85
 msgid "label_filter_keywords_by_content"
-msgstr ""
+msgstr "Фільтрувати ключові слова по їх наявності в контексті."
 
 #. Default: "HTML Comment"
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:148
 msgid "label_html_comment"
-msgstr ""
+msgstr "Комент HTML"
 
 #. Default: "Meta Description Tag"
@@ -179,5 +179,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:70
 msgid "label_override"
-msgstr ""
+msgstr "Перекрити"
 
 #. Default: "Page Title Tag"
@@ -194,10 +194,10 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:126
 msgid "label_settings_use_keywords_lg"
-msgstr ""
+msgstr "Налаштування поведінки глобальних та локальних SEO ключових слів."
 
 #. Default: "Settings to control Plone categories and global SEO keywords behaviour."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:94
 msgid "label_settings_use_keywords_sg"
-msgstr ""
+msgstr "Налаштування поведінки Plone ключових слів та глобальних SEO ключових слів."
 
 #. Default: "Up to Plone Setup"