Index: intagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser.txt
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/browser.txt	(revision 1673)
+++ 	(revision )
@@ -1,57 +1,0 @@
-Introduction
-============
-
-This is a full-blown functional test. The emphasis here is on testing what
-the user may input and see, and the system is largely tested as a black box.
-We use PloneTestCase to set up this test as well, so we have a full Plone site
-to play with. We *can* inspect the state of the portal, e.g. using 
-self.portal and self.folder, but it is often frowned upon since you are not
-treating the system as a black box. Also, if you, for example, log in or set
-roles using calls like self.setRoles(), these are not reflected in the test
-browser, which runs as a separate session.
-
-Being a doctest, we can tell a story here.
-
-First, we must perform some setup. We use the testbrowser that is shipped
-with Five, as this provides proper Zope 2 integration. Most of the 
-documentation, though, is in the underlying zope.testbrower package.
-
-    >>> from Products.Five.testbrowser import Browser
-    >>> browser = Browser()
-    >>> portal_url = self.portal.absolute_url()
-
-The following is useful when writing and debugging testbrowser tests. It lets
-us see all error messages in the error_log.
-
-    >>> self.portal.error_log._ignored_exceptions = ()
-
-With that in place, we can go to the portal front page and log in. We will
-do this using the default user from PloneTestCase:
-
-    >>> from Products.PloneTestCase.setup import portal_owner, default_password
-
-    >>> browser.open(portal_url)
-
-We have the login portlet, so let's use that.
-
-    >>> browser.getControl(name='__ac_name').value = portal_owner
-    >>> browser.getControl(name='__ac_password').value = default_password
-    >>> browser.getControl(name='submit').click()
-
-Here, we set the value of the fields on the login form and then simulate a
-submit click.
-
-We then test that we are still on the portal front page:
-    >>> browser.url == portal_url
-    True
-
-And we ensure that we get the friendly logged-in message:
-
-    >>> "You are now logged in" in browser.contents
-    True
-
-
--*- extra stuff goes here -*-
-The my tests
-===============================
-
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/base.py
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/base.py	(revision 1673)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/base.py	(revision 1674)
@@ -64,5 +64,5 @@
 
 setup_product()
-ptc.setupPloneSite(products=[PROJECT_NAME])
+ptc.setupPloneSite()
 
 
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/browser.txt
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/browser.txt	(revision 1674)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/browser.txt	(revision 1674)
@@ -0,0 +1,54 @@
+Introduction
+============
+
+This is a full-blown functional test. The emphasis here is on testing what
+the user may input and see, and the system is largely tested as a black box.
+We use PloneTestCase to set up this test as well, so we have a full Plone site
+to play with. We *can* inspect the state of the portal, e.g. using 
+self.portal and self.folder, but it is often frowned upon since you are not
+treating the system as a black box. Also, if you, for example, log in or set
+roles using calls like self.setRoles(), these are not reflected in the test
+browser, which runs as a separate session.
+
+Being a doctest, we can tell a story here.
+
+First, we must perform some setup. We use the testbrowser that is shipped
+with Five, as this provides proper Zope 2 integration. Most of the 
+documentation, though, is in the underlying zope.testbrower package.
+
+    >>> from Products.Five.testbrowser import Browser
+    >>> browser = Browser()
+    >>> portal_url = self.portal.absolute_url()
+
+The following is useful when writing and debugging testbrowser tests. It lets
+us see all error messages in the error_log.
+
+    >>> self.portal.error_log._ignored_exceptions = ()
+
+With that in place, we can go to the portal front page and log in. We will
+do this using the default user from PloneTestCase:
+
+    >>> from Products.PloneTestCase.setup import portal_owner, default_password
+    >>> browser.open(portal_url)
+
+We have the login portlet, so let's use that.
+
+    >>> browser.open('http://nohost/plone/login_form')
+    >>> browser.getLink('Log in').click()
+    >>> browser.url
+    'http://nohost/plone/login_form'
+    >>> browser.getControl('Login Name').value = portal_owner
+    >>> browser.getControl('Password').value = default_password
+    >>> browser.getControl('Log in').click()
+    >>> "You are now logged in" in browser.contents
+    True
+    >>> "Login failed" in browser.contents
+    False
+    >>> browser.url
+    'http://nohost/plone/login_form'
+
+
+-*- extra stuff goes here -*-
+The my tests
+===============================
+
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/test_doctest.py
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/test_doctest.py	(revision 1673)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/tests/test_doctest.py	(revision 1674)
@@ -13,6 +13,6 @@
 
         # Demonstrate the main content types
-        ztc.ZopeDocFileSuite(
-            'browser.txt', package='quintagroup.seoptimizer',
+        ztc.FunctionalDocFileSuite(
+            'browser.txt', package='quintagroup.seoptimizer.tests',
             test_class=base.FunctionalTestCase,
             optionflags=doctest.REPORT_ONLY_FIRST_FAILURE |