Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_discussion/discussion_reply_form.cpt
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_discussion/discussion_reply_form.cpt	(revision 1690)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_discussion/discussion_reply_form.cpt	(revision 1691)
@@ -13,7 +13,13 @@
 
 <div metal:fill-slot="main"
-     tal:define="errors options/state/getErrors;
+     tal:define="template_id template/getId;
+                 errors options/state/getErrors;
+                 putils context/plone_utils;
                  thread python:putils.getDiscussionThread(here);
                  discussable python:thread[0];
+                 here_url context/@@plone_context_state/object_url;
+                 member context/@@plone_portal_state/member;
+                 isAnon context/@@plone_portal_state/anonymous;
+                 toLocalizedTime nocall:context/@@plone/toLocalizedTime;
                  replies python:thread[1:]">
 
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_join_form/join_form.cpt
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_join_form/join_form.cpt	(revision 1690)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_join_form/join_form.cpt	(revision 1691)
@@ -17,5 +17,6 @@
 
 <div metal:fill-slot="main"
-     tal:define="errors options/state/getErrors;
+     tal:define="template_id template/getId;
+                 errors options/state/getErrors;
                  mailhost context/MailHost/smtp_host|nothing;
                  mailfrom context/email_from_address|nothing;
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_sendto_form/sendto_form.cpt
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_sendto_form/sendto_form.cpt	(revision 1690)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/captchas_sendto_form/sendto_form.cpt	(revision 1691)
@@ -16,5 +16,8 @@
 
     <div metal:fill-slot="main"
-         tal:define="errors options/state/getErrors;">
+         tal:define="template_id template/getId;
+                     errors options/state/getErrors;
+                     member context/@@plone_portal_state/member;
+                     here_url context/@@plone_context_state/object_url;">
 
       <h1 class="documentFirstHeading"
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/captcha_widget.pt
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/captcha_widget.pt	(revision 1690)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/captcha_widget.pt	(revision 1691)
@@ -4,5 +4,8 @@
   <div class="field"
        tal:define="hk here/getCaptcha;
-                   error errors/key|nothing"
+                   error errors/key|nothing;
+                   Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                   tabindex python:Iterator(mainSlot=False)"
+
        tal:attributes="class python:test(error, 'field error', 'field')">
      <input type="hidden"
Index: quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt
===================================================================
--- quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt	(revision 1690)
+++ quintagroup.plonecaptchas/trunk/quintagroup/plonecaptchas/skins/plone_captchas/prefs_captchas_setup_form.cpt	(revision 1691)
@@ -12,5 +12,8 @@
 
 <div metal:fill-slot="prefs_configlet_main"
-     tal:define="errors python:request.get('controller_state', None).getErrors();">
+     tal:define="errors python:request.get('controller_state', None).getErrors();
+                 Iterator python:modules['Products.CMFPlone'].IndexIterator;
+                 tabindex python:Iterator(mainSlot=False)">
+      <h1 i18n:translate="heading_edit_seo_properties">Edit SEO Properties</h1>
 
     <div metal:define-macro="main">