Index: /quintagroup.seoptimizer/trunk/README.txt
===================================================================
--- /quintagroup.seoptimizer/trunk/README.txt	(revision 1705)
+++ /quintagroup.seoptimizer/trunk/README.txt	(revision 1706)
@@ -4,5 +4,5 @@
 This product was created to enhance SE visibility of Plone sites.
 
-Copyright (c) "Quintagroup": http://quintagroup.com, 2004-2009
+Copyright (c) "Quintagroup": http://quintagroup.com, 2004-2010
   
 Product sponsored by "4webresults, SEO and Internet Marketing
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po	(revision 1705)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/locales/uk/LC_MESSAGES/quintagroup.seoptimizer.po	(revision 1706)
@@ -6,5 +6,5 @@
 "Project-Id-Version: quintagroup.seoptimizer\n"
 "POT-Creation-Date: 2010-02-10 10:23+0000\n"
-"PO-Revision-Date: 2010-02-08 15:42+0300\n"
+"PO-Revision-Date: 2010-02-11 14:05+0300\n"
 "Last-Translator: Olha <olha.pelishok@gmail.com>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -34,15 +34,15 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:35
 msgid "description_edit_seo_properties"
-msgstr "Ця форма дозволяє редагувати мета теґи, які генерує СКВ Plone, з метою  збільшення видимості сайту для пошукових систем. Значення, які генерує Plone по замовчуванню, введено у відповідних полях. Щоб перекрити значення за замовчуванням, поставте галочку біля відповідного поля та введіть потрібне значення."
+msgstr "Ця форма дозволяє редагувати мета теґи, які генерує СКВ Plone, з метою збільшення видимості сайту для пошукових систем. Значення, які генерує Plone по замовчуванню, введено у відповідних полях. Щоб перекрити значення за замовчуванням, поставте галочку біля відповідного поля та введіть потрібне значення."
 
 #. Default: "Select content types that will have SEO properties enabled."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:168
 msgid "description_seo_content_types"
-msgstr "Виберіть типи вмісту, для яких будете прописувати SEO властивості."
+msgstr "Виберіть типи вмісту, для яких буде можливо прописувати SEO властивості."
 
 #. Default: "Controls if <abbr title=\"Dublin Core\">DC</abbr> metatags are exposed to page header. They include DC.description, DC.type, DC.format, DC.creator and others."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:35
 msgid "description_seo_dc_metatags"
-msgstr ""
+msgstr "Чи показувати <abbr title=\"Dublin Core\">DC</abbr> мета теґи в коді сторінки, включаючи такі мета теґи,  як DC.description, DC.type, DC.format, DC.creator тощо."
 
 #. Default: "Edit SEO Properties"
@@ -54,10 +54,10 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:74
 msgid "help_additional_keywords"
-msgstr "Використовуйте це поле, якщо Ви хочете, що об'єкти на цьому сайті отримали додаткові ключові слова крім тих, які Ви вказали вручну для кожного з них. Введіть по одному слову в кожен рядок."
+msgstr "Використовуйте це поле, якщо Ви хочете, щоб об'єкти на цьому сайті отримали додаткові ключові слова крім тих, які Ви вказали вручну для кожного з них. Введіть по одному слову в кожен рядок."
 
 #. Default: "Fill in custom metatag names (one per line) which will appear on qseo_properties edit tab. Example: \"metaname|metacontent\" or \"metaname\"."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:46
 msgid "help_default_custom_metatags"
-msgstr ""
+msgstr "Введіть назви додаткових мета теґів (по 1 в кожному рядку), які з'являться при редагуванні  SEO властивостей об'єктів сайту. Наприклад: \ \"metaname | metacontent \" або \ \"metaname \"."
 
 #. Default: "Controls use of meta keywords according to their presence in content."
@@ -69,45 +69,45 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:60
 msgid "help_metatags_order"
-msgstr ""
+msgstr "Ввведіть по 1 мета теґу в рядок у тому порядку, в якому вони будуть з'являтися при перегляді коду сторінки. Наприклад: \ \"metaname accessor\"."
 
 #. Default: "Specify your canonical URL. If your site has identical or vastly similar content that's accessible through multiple URLs, this format provides you with more control over the URL returned in search results."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:237
 msgid "help_seo_canonical"
-msgstr ""
+msgstr "Вкажіть canonical URL. Якщо на Вашому сайті є ідентичні або дуже схожі за вмістом сторінки, доступні за кількома URL-адресами, це поле забезпечить Вам більший контроль над тією URL-адресою, яка відображатиметься  в результатах пошуку."
 
 #. Default: "Here you can manage your custom meta tags. Specify local Meta Tags parameters to be added to the global Meta Tags. If metacontent field is empty, then a meta tag will not be present on this page."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:270
 msgid "help_seo_custommetatags"
-msgstr ""
+msgstr "Тут ви можете управляти додатковими мета теґами. Вкажіть параметри локальних мета теґів, які буде додано до глобальних мета-теґів. Якщо поле metacontent - пусте, то такий мета теґ не буде показано на цій сторінці."
 
 #. Default: "Description of the document to be indexed by Search Engines. This text will be present in meta description tag in page HTML source."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:87
 msgid "help_seo_description"
-msgstr ""
+msgstr "Опис документа, який будуть використовувати пошукові системи. Цей текст буде присутній в мета тезі description в коді сторінки."
 
 #. Default: "Distribution meta tag to designate time and area distribution of the document."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:206
 msgid "help_seo_distribution"
-msgstr ""
+msgstr "Мета теґ Distribution використовується для позначення часу та місця розповсюдження документа."
 
 #. Default: "Comments embedded into HTML header."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:150
 msgid "help_seo_html_comment"
-msgstr ""
+msgstr "Коментарі, додані в HTML заголовок."
 
 #. Default: "Keywords, the page will be indexed with. <strong>Enter each keyword in separate line, please.</strong> Though the relevance of listing meta keywords is of questionable value now, it is useful to set meta keywords for pages - for future reference.<br />Use 'Check Keywords' button to check whether words you entered in this block as SEO keywords are present in content."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:115
 msgid "help_seo_keywords"
-msgstr ""
+msgstr "Ключові слова, по яких сторінку буде проіндексовано. <strong>Буль-ласка, введіть кожне ключове слово в окремому рядку.</strong> <br /> Використовуйте кнопку 'Check Keywords', щоб перевірити чи слова, які ви вказали в цьому блоці, є наявні на сторінці."
 
 #. Default: "Robots meta tag value. Allows or denies indexing, following links, etc. for spiders indexing your content."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:177
 msgid "help_seo_robots"
-msgstr ""
+msgstr "Значення мета теґу Robots. Дозволяє або забороняє індексування, перехід за посиланнями тощо."
 
 #. Default: "Text to be present in &lt;TITLE&gt; tag. It is displayed in browser title bar. Search engines display it as a title of the document."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:57
 msgid "help_seo_title"
-msgstr ""
+msgstr "Текст, який буде показано в тезі  &lt;TITLE&gt;. Його буде видно у заголовку переглядача. Пошукові системи відображатимуть цей текст як назву документа."
 
 #. Default: "Controls global and local SEO keywords behaviour."
@@ -124,5 +124,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:71
 msgid "label_additional_keywords"
-msgstr "Додаткові ключові слова, потрібно додати до типів вмісту."
+msgstr "Додаткові ключові слова, які потрібно додати до типів вмісту."
 
 #. Default: "Canonical URL"
@@ -139,20 +139,20 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:267
 msgid "label_custom_metatags"
-msgstr ""
+msgstr "Додаткові мета теґи"
 
 #. Default: "Default custom metatags."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:43
 msgid "label_default_custom_metatags"
-msgstr ""
+msgstr "Додаткові мета теґи"
 
 #. Default: "Distribution Tag"
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:203
 msgid "label_distribution_tag"
-msgstr ""
+msgstr "Мета теґ Distribution"
 
 #. Default: "Expose <abbr title=\"Dublin Core\">DC</abbr> meta tags"
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:32
 msgid "label_exposeDCMetaTags"
-msgstr ""
+msgstr "Показувати мета теґи <abbr title=\"Dublin Core\">DC</abbr>"
 
 #. Default: "Filter keywords by their availability in content."
@@ -164,5 +164,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:147
 msgid "label_html_comment"
-msgstr "Комент HTML"
+msgstr "Коментар HTML"
 
 #. Default: "Merge global and local SEO keywords"
@@ -179,15 +179,15 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:84
 msgid "label_meta_description_tag"
-msgstr ""
+msgstr "Мета теґ Description"
 
 #. Default: "Meta Keywords Tag"
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:112
 msgid "label_meta_keywords_tag"
-msgstr ""
+msgstr "Мета теґ Keywords"
 
 #. Default: "Meta tags order in the page."
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:57
 msgid "label_metatags_order"
-msgstr ""
+msgstr "Порядок мета теґів на сторінці."
 
 #. Default: "Override"
@@ -199,10 +199,10 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:54
 msgid "label_page_title_tag"
-msgstr ""
+msgstr "Мета теґ Title"
 
 #. Default: "Robot Tag"
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt:174
 msgid "label_robot_tag"
-msgstr ""
+msgstr "Мета теґ Robot"
 
 #. Default: "Global SEO keywords override local SEO keywords"
@@ -247,5 +247,5 @@
 #: ./quintagroup.seoptimizer/quintagroup/seoptimizer/browser/templates/seo_controlpanel.pt:20
 msgid "seo_configlet_description"
-msgstr ""
+msgstr "Тут Ви можете вибрати, які типи вмісту матимуть можливіть налаштування SEO властивостей, а також налаштувати інші SEO параметри на Вашому сайті."
 
 #. Default: "Content SEO properties have been saved."