Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/browserlayer.xml
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/browserlayer.xml	(revision 1740)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/browserlayer.xml	(revision 1752)
@@ -2,5 +2,5 @@
 <layers
    xmlns:i18n="http://xml.zope.org/namespaces/i18n"
-   i18n:domain="seoptimizer">
+   i18n:domain="quintagroup.seoptimizer">
    <layer name="qSEOptimizer"
           interface="quintagroup.seoptimizer.browser.interfaces.IPloneSEOLayer" />
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/controlpanel.xml
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/controlpanel.xml	(revision 1740)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/controlpanel.xml	(revision 1752)
@@ -5,5 +5,5 @@
     appId="quintagroup.seoptimizer" category="Products" condition_expr=""
     url_expr="string:${portal_url}/@@seo-controlpanel"
-    visible="True" i18n:attributes="">
+    visible="True" i18n:attributes="title">
   <permission>ManagePortal</permission>
  </configlet>
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/propertiestool.xml
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/propertiestool.xml	(revision 1740)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/propertiestool.xml	(revision 1752)
@@ -87,5 +87,4 @@
    <element value="distribution seo_distribution"/>
   </property>
-  <property name="filter_keywords_by_content" type="boolean">True</property>
  </object>
  <object name="site_properties" meta_type="Plone Property Sheet">
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/Document.xml
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/Document.xml	(revision 1740)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/Document.xml	(revision 1752)
@@ -4,5 +4,5 @@
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
-    i18n:attributes="">
+    i18n:attributes="title">
   <permission value="Modify portal content"/>
  </action>
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/File.xml
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/File.xml	(revision 1740)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/File.xml	(revision 1752)
@@ -4,5 +4,5 @@
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
-    i18n:attributes="">
+    i18n:attributes="title">
   <permission value="Modify portal content"/>
  </action>
Index: quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/News_Item.xml
===================================================================
--- quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/News_Item.xml	(revision 1740)
+++ quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/News_Item.xml	(revision 1752)
@@ -4,5 +4,5 @@
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
-    i18n:attributes="">
+    i18n:attributes="title">
   <permission value="Modify portal content"/>
  </action>