Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/browser/views.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/browser/views.py	(revision 1788)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/browser/views.py	(revision 1789)
@@ -221,127 +221,4 @@
 
 
-class SEOControlPanel( ControlPanelView ):
-    """ The class with methods configuration Search Engine Optimizer in configlet.
-    """
-    template = ViewPageTemplateFile('templates/seo_controlpanel.pt')
-
-    @property
-    def portal_properties( self ):
-        """
-        """
-        context = aq_inner(self.context)
-        return getToolByName(context, 'portal_properties')
-
-    @property
-    def portal_types( self ):
-        """ Returned a list of portal types.
-        """
-        context = aq_inner(self.context)
-        return getToolByName(context, 'portal_types')
-
-    #def hasSEOAction( self, type_info ):
-        #"""
-        #"""
-        #return filter(lambda x:x.id == 'seo_properties', type_info.listActions())
-
-    def test( self, condition, first, second ):
-        """
-        """
-        return condition and first or second 
-
-    def getExposeDCMetaTags( self ):
-        """ Get value from exposeDCMetaTags property in seo_properties.
-        """
-        sp = self.portal_properties.site_properties
-        return sp.getProperty('exposeDCMetaTags')
-
-    def getDefaultCustomMetatags( self ):
-        """ Get values from default_custom_metatags property in seo_properties.
-        """
-        seo = self.portal_properties.seo_properties
-        return seo.getProperty('default_custom_metatags')
-
-    def getMetaTagsOrder( self ):
-        """ Get values from metatags_order property in seo_properties.
-        """
-        seo = self.portal_properties.seo_properties
-        return seo.getProperty('metatags_order')
-
-    def getAdditionalKeywords( self ):
-        """ Get values from additional_keywords property in seo_properties.
-        """
-        seo = self.portal_properties.seo_properties
-        return seo.getProperty('additional_keywords')
-
-    def createMultiColumnList( self ):
-        """
-        """
-        context = aq_inner(self.context)
-        allTypes = self.portal_types.listContentTypes()
-        try:
-            return context.createMultiColumnList(allTypes, sort_on='title_or_id')
-        except AttributeError:
-            return [slist]
-
-    def isSEOTabVisibile(self, type):
-        context = aq_inner(self.context)
-        portal_properties = getToolByName(context, 'portal_properties')
-        seo_properties = getToolByName(portal_properties, 'seo_properties')
-        content_types_with_seoproperties = seo_properties.getProperty('content_types_with_seoproperties', '')
-        return bool(type in content_types_with_seoproperties)
-      
-    def __call__( self ):
-        """ Perform the update and redirect if necessary, or render the page.
-        """
-        context = aq_inner(self.context)
-        request = self.request
-
-        exposeDCMetaTags = request.get( 'exposeDCMetaTags', None )
-        additionalKeywords = request.get('additionalKeywords', [])
-        default_custom_metatags = request.get('default_custom_metatags', [])
-        metatags_order = request.get('metatags_order', [])
-        settingsUseKeywordsSG = int(request.get('settingsUseKeywordsSG', 1))
-        settingsUseKeywordsLG = int(request.get('settingsUseKeywordsLG', 1))
-        content_types_with_seoproperties = request.get('contentTypes', [])
-
-        site_props = getToolByName(self.portal_properties, 'site_properties')
-        seo_props = getToolByName(self.portal_properties, 'seo_properties')
-
-        form = self.request.form
-        submitted = form.get('form.submitted', False)
-        if submitted:
-            site_props.manage_changeProperties(exposeDCMetaTags=exposeDCMetaTags)
-            seo_props.manage_changeProperties(additional_keywords=additionalKeywords)
-            seo_props.manage_changeProperties(default_custom_metatags=default_custom_metatags)
-            seo_props.manage_changeProperties(metatags_order=metatags_order)
-            seo_props.manage_changeProperties(settings_use_keywords_sg=settingsUseKeywordsSG)
-            seo_props.manage_changeProperties(settings_use_keywords_lg=settingsUseKeywordsLG)
-            seo_props.manage_changeProperties(content_types_with_seoproperties=content_types_with_seoproperties)
-
-            context.plone_utils.addPortalMessage(pmf(u'Changes saved.'))
-            return request.response.redirect('%s/%s'%(self.context.absolute_url(), 'plone_control_panel'))
-        else:
-            return self.template(contentTypes=content_types_with_seoproperties, exposeDCMetaTags=exposeDCMetaTags)
-
-    def typeInfo( self, type_name ):
-        """ Get info type by type name.
-        """
-        return self.portal_types.getTypeInfo( type_name )
-
-    def select_settings_use_keywords_sg(self):
-        context = aq_inner(self.context)
-        site_properties = getToolByName(context, 'portal_properties')
-        if hasattr(site_properties, 'seo_properties'):
-            settings_use_keywords_sg = getattr(site_properties.seo_properties, 'settings_use_keywords_sg', 0)
-        return settings_use_keywords_sg
-
-    def select_settings_use_keywords_lg(self):
-        context = aq_inner(self.context)
-        site_properties = getToolByName(context, 'portal_properties')
-        if hasattr(site_properties, 'seo_properties'):
-            settings_use_keywords_lg = getattr(site_properties.seo_properties, 'settings_use_keywords_lg', 0)
-        return settings_use_keywords_lg
-
-
 class SEOContextPropertiesView( BrowserView ):
     """ This class contains methods that allows to manage seo properties.