Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/Document.xml
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/Document.xml	(revision 1805)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/Document.xml	(revision 1806)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="Document" meta_type="Factory-based Type Information with dynamic views"
-   i18n:domain="quintagroup.seoptimizer"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+   i18n:domain="plone"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/File.xml
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/File.xml	(revision 1805)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/File.xml	(revision 1806)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="File" meta_type="Factory-based Type Information with dynamic views"
-   i18n:domain="quintagroup.seoptimizer"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+   i18n:domain="plone"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/News_Item.xml
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/News_Item.xml	(revision 1805)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/default/types/News_Item.xml	(revision 1806)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="News Item" meta_type="Factory-based Type Information with dynamic views"
-   i18n:domain="quintagroup.seoptimizer"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+   i18n:domain="plone"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/Document.xml
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/Document.xml	(revision 1805)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/Document.xml	(revision 1806)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="Document" meta_type="Factory-based Type Information with dynamic views"
-   i18n:domain="quintagroup.seoptimizer"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+   i18n:domain="plone"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/File.xml
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/File.xml	(revision 1805)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/File.xml	(revision 1806)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="File" meta_type="Factory-based Type Information with dynamic views"
-   i18n:domain="quintagroup.seoptimizer"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+   i18n:domain="plone"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"
Index: /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/News_Item.xml
===================================================================
--- /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/News_Item.xml	(revision 1805)
+++ /quintagroup.seoptimizer/trunk/quintagroup/seoptimizer/profiles/reinstall/types/News_Item.xml	(revision 1806)
@@ -1,5 +1,5 @@
 <?xml version="1.0"?>
 <object name="News Item" meta_type="Factory-based Type Information with dynamic views"
-   i18n:domain="quintagroup.seoptimizer"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+   i18n:domain="plone"  xmlns:i18n="http://xml.zope.org/namespaces/i18n">
  <action title="SEO Properties" action_id="seo_properties" category="object" condition_expr="python:exists('portal/@@seo-context-properties')"
     url_expr="string:${object_url}/@@seo-context-properties" visible="True"