Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/adapters.py
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/adapters.py	(revision 1815)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/adapters.py	(revision 1816)
@@ -39,5 +39,5 @@
         """
         request = self.context.REQUEST
-        meta_keywords = ''
+        meta_keywords = []
         filtered_keywords = []
         portal_props = getToolByName(self.context, 'portal_properties')
@@ -45,5 +45,5 @@
         seo_context = queryMultiAdapter((self.context, request), name='seo_context')
         if seo_context:
-            meta_keywords = list(seo_context.meta_keywords())
+            meta_keywords = list(seo_context['meta_keywords'])
         return ', '.join(meta_keywords)
 
Index: /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt
===================================================================
--- /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt	(revision 1815)
+++ /quintagroup.seoptimizer/branches/refactoring2.3.0/quintagroup/seoptimizer/browser/templates/seo_context_properties.pt	(revision 1816)
@@ -31,5 +31,6 @@
         tal:define="errors python:request.get('errors', {});
                     Iterator python:modules['Products.CMFPlone'].IndexIterator;
-                    tabindex python:Iterator(mainSlot=False)"><!--TODO:implement validation and errors handling-->
+                    tabindex python:Iterator(mainSlot=False);
+		    seo_context here/@@seo_context"><!--TODO:implement validation and errors handling-->
       <h1 i18n:translate="heading_edit_seo_properties">Edit SEO Properties</h1>
       <div class="documentDescription" i18n:translate="description_edit_seo_properties">
@@ -64,5 +65,5 @@
                    name="seo_title_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_title'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_seo_title'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -77,5 +78,5 @@
                    value=""
                    tabindex=""
-                   tal:attributes="value request/seo_title | here/@@seo_context/seo_title;
+                   tal:attributes="value request/seo_title | seo_context/seo_title;
                                    tabindex tabindex/next;"
                    />
@@ -92,5 +93,5 @@
                    name="seo_description_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_description'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_seo_description'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -106,5 +107,5 @@
                       tabindex=""
                       tal:attributes="tabindex tabindex/next;"
-                      tal:content="request/seo_description | here/@@seo_context/seo_description"
+                      tal:content="request/seo_description | seo_context/seo_description"
                       />
           </div>
@@ -125,5 +126,5 @@
                    name="seo_keywords_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_keywords'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_seo_keywords'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -139,5 +140,5 @@
                       tabindex=""
                       tal:attributes="tabindex tabindex/next;"
-                      tal:define="keywords request/seo_keywords | here/@@seo_context/seo_keywords"
+                      tal:define="keywords request/seo_keywords | seo_context/seo_keywords"
                       tal:content="python:'\n'.join(keywords)"
                       />
@@ -155,5 +156,5 @@
                    name="seo_html_comment_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_html_comment'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_html_comment'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -168,5 +169,5 @@
                       tabindex=""
                       tal:attributes="tabindex tabindex/next;"
-                      tal:content="request/seo_html_comment | here/@@seo_context/seo_html_comment"
+                      tal:content="request/seo_html_comment | seo_context/seo_html_comment"
                       />
           </div>
@@ -183,5 +184,5 @@
                    name="seo_robots_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_robots'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_seo_robots'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -196,5 +197,5 @@
                    value=""
                    tabindex=""
-                   tal:attributes="value request/seo_robots | here/@@seo_context/seo_robots;
+                   tal:attributes="value request/seo_robots | seo_context/seo_robots;
                                    tabindex tabindex/next;"
                    />
@@ -212,5 +213,5 @@
                    name="seo_distribution_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_distribution'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_seo_distribution'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -225,5 +226,5 @@
                    value=""
                    tabindex=""
-                   tal:attributes="value request/seo_distribution | here/@@seo_context/seo_distribution;
+                   tal:attributes="value request/seo_distribution | seo_context/seo_distribution;
                                    tabindex tabindex/next;"
                    />
@@ -244,5 +245,5 @@
                    name="seo_canonical_override"
                    tabindex=""
-                   tal:attributes="checked python:view.test(here.hasProperty('qSEO_canonical'), 'on', None);
+                   tal:attributes="checked python:view.test(seo_context['has_seo_canonical'], 'on', None);
                                    tabindex tabindex/next;"
                    />
@@ -258,5 +259,5 @@
                    value=""
                    tabindex=""
-                   tal:attributes="value request/seo_canonical | here/@@seo_context/seo_canonical;
+                   tal:attributes="value request/seo_canonical | seo_context/seo_canonical;
                                    tabindex tabindex/next;"
                    />
@@ -264,5 +265,5 @@
           <div class="field"
                tal:define="fieldName string:seo_custommetatags;
-                           nonEmptylocalMetaTags here/@@seo_context/seo_nonEmptylocalMetaTags;">
+                           nonEmptylocalMetaTags seo_context/seo_nonEmptylocalMetaTags;">
             <label i18n:translate="label_custom_metatags" for="seo_custom_metatags">
               Custom Meta Tags
@@ -288,6 +289,6 @@
                    tal:define="columnNames python:['meta name', 'meta content'];
                                columnIds   python:['meta_name', 'meta_content'];
-                               globalMT    here/@@seo_context/seo_globalWithoutLocalCustomMetaTags;
-                               localMT    here/@@seo_context/seo_localCustomMetaTags;">
+                               globalMT    seo_context/seo_globalWithoutLocalCustomMetaTags;
+                               localMT    seo_context/seo_localCustomMetaTags;">
                 <thead>
                     <tr>